Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Export data module to file

Exports EDM or RDM data.

The operation support three different workflows depending on the type attribute specified in the request body:

  • If the ExposureExportInput type is specified, the operation enables you to export exposure data in one EDM to another EDM and optionally download that data as a database artifact.
  • If LocationResultsExportInput type is specified, the operation enables you to export and download location results as CSV files.
  • If ResultsExportInputV2 type is specified, the operation enables you to export and download results data as BAK or MDF database artifacts or CSV or PARQUET flat files.

The required exportType attribute identifies the database to export (EDM, LOCATION_RESULTS, or RDM), the exportFormat specified the format of the exported data (BAK, CSV, MDF, or PARQUET). Depending on the value jobtype parameter, the operation accepts different job-specific parameters in the request body.

Export EDM to EDM

The ExposureExportInput job type supports three scenarios for exporting EDMs. Depending the parameters specified in the request body, the operation may export exposure data to a new or existing EDM.

  • If the value of the createNew attribute is true and the value of the destinationDatasource is null or undefined, the operation exports exposure data to a temporary database that is deleted at the end of the EDM2EDM job.
  • If the value of the createNew attribute is false and value of the destinationDatasource specifies an existing datasource, the operation exports exposure data to an existing managed data source.
  • If the value of the createNew attribute is true and value of the destinationDatasource specifies a unique name for the data source, the operation creates a new data source.

Exposure data exported to a new or existing managed data source may be downloaded if the value of the download attribute is true.

{
  "type": "ExposureExportInput",
  "exportType": "EDM",
  "sourceDatasource": "test_edm2edm_changes",
  "destinationDatasource": "test_local_pr_edm_export",
  "exposureType": "PORTFOLIO",
  "exposureIds": [1],
  "download": false,
  "createnew": true,
  "exportOptions": {
    "exportAccounts": true,
    "exportLocations": true,
    "exportPolicies": true,
    "exportTreaties": true,
    "exportReinsuranceInfo": true,
    "exportPerilDetailsInfo": true
  },
  "exportFormat": "BAK",
  "sqlVersion": "2019",
  "preserveIds": true,
  "schemaVersion": "v18"
}

If the specified destinationDataSource value does not identify an existing database, the preserveIds parameter enables you to preserve the table IDs used in the original database (i.e. the sourceDataSource) in the new destinationDataSource.

If successful, returns a 202 Accepted HTTP response and initates a EDM2EDM job on the workflow engine.

Download location results

The LocationResultsExportInput job type enables you to export location results a flat file using the CSV format.

{
  "type": "LocationResultsExportInput",
  "exportType": "LOCATION_RESULTS",
  "analysisIds": [4446, 4447],
  "exportFields": ["locationId", "locationNumber", "locationName"],
  "perspectives": ["GR", "GU"],
  "fileName": "LocationResults",
  "schemaVersion": "v18"
}

The locationId attribute must be specified in the exportsFields array, if multiple analysis result IDs are specified in the analysisIds array or the workflow engine will return an error.

If successful, returns a 202 Accepted HTTP response and initates a DOWNLOAD_LOCATION_RESULTS job on the workflow engine.

🍊

Postman Collection

Moody's Insurance Solutions makes Postman Collections available to licensed tenants for download from the RMS Developers public workspace.

The Export LOCATION_RESULTS collection demonstrates a workflow that analysis result data exposure data to a flat file in CSV format.

Export RDM as database artifact or flat file

The ResultsExportInputV2 job type supports two scenarios: exporting results data as BAK or MDF database artifacts or exporting results as CSV or PARQUET files.

Export RDM to database artifact

The operation enables you to identify a subset of the analysis results stored in the RDM and export those analysis results to a new RDM instance, which you can then download as a BAK or MDF database artifact. Once downloaded, the RDM can then be imported into an existing on-premise RDM.

{
  "type": "ResultsExportInputV2",
  "analysisIds": [1424, 1433, 1438],
  "rdmName": "MultiAnalyses",
  "createnew": true,
  "exportType": "RDM",
  "exportFormat": "MDF",
  "sqlVersion": "2019",
  "exportHdLossesAs": "PLT",
  "schemaVersion": "v18"
}

If successful, returns a 202 Accepted HTTP response and initates a DOWNLOAD_RDM job on the workflow engine.

Export results to flat file

Alternatively, the operation also supports exporting result data as CSV or PARQUET files.

{
  "analysisIds": [64605],
  "lossDetails": [
    {
      "lossType": "STATS",
      "outputLevels": ["Admin2"],
      "perspectives": ["GU"]
    },
    {
      "lossType": "EP",
      "outputLevels": ["Admin1"],
      "perspectives": ["GU"]
    },
    {
      "lossType": "LOSS_TABLES",
      "outputLevels": ["Admin1"],
      "perspectives": ["GU"]
    }
  ],
  "exportType": "RDM",
  "type": "ResultsExportInputV2",
  "exportFormat": "CSV",
  "nonWeightedPlt": true,
  "schemaVersion": "v18",
  "additionalOutputs": []
}

If the exportFormat attribute is set to CSV or Parquet, the operation also accepts a Boolean nonWeightedPlt attribute in the request body. If true, HD earthquake EP analysis results are exported as equally-weighted PLTs to CSV or Parquet flat files for download. By default, these results are exported as the weighted PLTs originally generated using the HD Earthquake model. At least one loss table must be specified in the lossDetails array of the request body, or the operation returns an error.

If successful, returns a 202 Accepted HTTP response and initates a DOWNLOAD_RESULTS job on the workflow engine.

🍊

Postman Collection

Moody's Insurance Solutions makes Postman Collections available to licensed tenants for download from the RMS Developers public workspace.

The Export EDM to Flat File collection demonstrates a workflow that creates a job that exports exposure data to a flat file in CSV or Parquet format.

Query Params
string

The optional servername query parameter specifies the name of the server.

Body Params
string

The type attribute identifies the model type: ExposureExportInput, LocationResultsExportInput, ResultsExportInputV2.

string
enum
required

The required exportType identifies the database to export: EDM, LocationResults, or RDM.

Allowed:
string
enum

The exportFormat attribute specified the format of the exported data (BAK, CSV, MDF or PARQUET). EDM and RDM data modules may be exported to the BAK and MDF formats. Analysis results may be exported to the CSV or PARQUET formats. Locations results can be exported to the CSV format.

Allowed:
string
required

The name of the source from which the exposure will be exported.

string

The name of the destination where the exposure will be exported.

string
enum
required

The type of exposure that will be exported.

Allowed:
exposureIds
array of int32s
required
exposureIds*
string
enum
Allowed:
boolean

Indicate if the EDM will be downloaded.

boolean

Indicate if the EDM will be newly created.

exportOptions
object

Indicate the parts of the exposure that will be exported.

string
enum
Defaults to 2016

SQL server version of exported BAK or MDF.

Allowed:
string
enum

Database schema version of exported EDM database artifact.

Allowed:
groups
array of strings
groups
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
*/*
application/json